size(1)

NAME
size - list section sizes and total size.

SYNOPSIS

size
    [-A|-B| --format=compatibility ] [--help] [-d|-o|-x |--radix=number ] [ --target=bfdname ] [-V|--version] objfile ...

DESCRIPTION
The GNU size utility lists the section sizes—and the total size—for each of the object files objfile in its argument list. By default, one line of output is generated for each object file or each module in an archive.

OPTIONS

-A

-B

--format compatibility
    Using one of these options, you can choose whether the output from GNU size resembles output from System V size (using `-A ', or `--format=sysv '), or Berkeley size (using `-B ', or `--format=berkeley '). The default is the one-line format similar to Berkeley's.

--help
    Show a summary of acceptable arguments and options.

-d

-o

-x

--radix number
    Using one of these options, you can control whether the size of each section is given in decimal (`-d ', or `--radix 10 '); octal (`-o ', or `--radix 8 '); or hexadecimal (`-x ', or `--radix 16 '). In `--radix number ', only the three values (8, 10, 16) are supported. The total size is always given in two radices; decimal and hexadecimal for `-d ' or `-x ' output, or octal and hexadecimal if you're using `-o '.

--target bfdname
    You can specify a particular object-code format for objfile as bfdname . This may not be necessary; size can automatically recognize many formats. See objdump(1) for information on listing available formats.

-V

--version
    Display version number information on size itself.

SEE ALSO
`binutils' entry in info; The GNU Binary Utilities,
 Roland H. Pesch (October 1991); ar(1), objdump(1).

COPYING
Copyright (c) 1991, 2000 Free Software Foundation, Inc.

This document is distributed under the terms of the GNU Free Documentation License, version 1.1. That license is described in the sources for this manual page, but it is not displayed here in order to make this manual more consise. Copies of this license can also be obtained from: http://www.gnu.org/copyleft/.